apptainer(1)

NAME
apptainer-key-newpair - Create a new key pair

SYNOPSIS
apptainer key newpair

DESCRIPTION
The 'key newpair' command allows you to create a new key or public/private
  keys to be stored in the default user local keyring location (e.g.,
  $HOME/.apptainer/keys).

OPTIONS
-b, --bit-length=4096
    specify key bit length

-C, --comment=""
    key comment

-E, --email=""
    key owner email

-h, --help[=false]
    help for newpair

-d, --keysdir="/builddir/.apptainer/keys"
    set local keyring dir path, an alternative way is to set environment variable 'APPTAINER_KEYSDIR'

-N, --name=""
    key owner name

-P, --password=""
    key password

-U, --push[=false]
    specify to push the public key to the remote keystore

EXAMPLE
      $ apptainer key newpair
      $ apptainer key newpair --password=psk --name=your-name --comment="key comment" --email=mail@email.com --push=false

SEE ALSO
apptainer-key(1)

HISTORY
29-Oct-2025 Auto generated by spf13/cobra